Skip to main content
`Ctrl`+`K`

# SNESGetMaxLinearSolveFailures

gets the maximum number of linear solve failures that are allowed before `SNES` returns as unsuccessful

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetMaxLinearSolveFailures(SNES snes, PetscInt *maxFails)

Not Collective

## Input Parameter

- snes - `SNES` context

## Output Parameter

- maxFails - maximum of unsuccessful solves allowed

## Note

By default this is 1; that is `SNES` returns on the first failed linear solve

## See Also

SNES: Nonlinear Solvers, `SNESSetErrorIfNotConverged()`, `SNESGetLinearSolveFailures()`, `SNESGetLinearSolveIterations()`, `SNESSetMaxLinearSolveFailures()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages